org.keycloak.url

## Class RequestHostnameProvider

- java.lang.Object
- - org.keycloak.url.RequestHostnameProvider

- All Implemented Interfaces:
    Provider, HostnameProvider

  Deprecated.

      @Deprecated
      public class RequestHostnameProvider
      extends Object
      implements HostnameProvider

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestHostnameProvider()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getHostname(javax.ws.rs.core.UriInfo originalUriInfo)` Deprecated. Returns the host.
    `int` | `getPort(javax.ws.rs.core.UriInfo originalUriInfo)` Deprecated. Returns the port (or -1 for default port).
    `String` | `getScheme(javax.ws.rs.core.UriInfo originalUriInfo)` Deprecated. Returns the URL scheme.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.urls.HostnameProvider

      `close, getContextPath, getContextPath, getHostname, getPort, getScheme`

- - ### Constructor Detail

    - #### RequestHostnameProvider

          public RequestHostnameProvider()

      Deprecated.

  - ### Method Detail

    - #### getScheme

          public String getScheme(javax.ws.rs.core.UriInfo originalUriInfo)

      Deprecated.
      Description copied from interface: `HostnameProvider`
      Returns the URL scheme. If not implemented will get the scheme from the request.
      Specified by:
        `getScheme` in interface `HostnameProvider`
      Parameters:
        `originalUriInfo` - the original URI
      Returns:
        the schema

    - #### getHostname

          public String getHostname(javax.ws.rs.core.UriInfo originalUriInfo)

      Deprecated.
      Description copied from interface: `HostnameProvider`
      Returns the host. If not implemented will get the host from the request.
      Specified by:
        `getHostname` in interface `HostnameProvider`
      Returns:
        the host

    - #### getPort

          public int getPort(javax.ws.rs.core.UriInfo originalUriInfo)

      Deprecated.
      Description copied from interface: `HostnameProvider`
      Returns the port (or -1 for default port). If not implemented will get the port from the request.
      Specified by:
        `getPort` in interface `HostnameProvider`
      Parameters:
        `originalUriInfo` - the original URI
      Returns:
        the port

Copyright © 2020 JBoss by Red Hat. All rights reserved.